Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.util
Class Zipper2

    java.lang.Object
      org.ajax4jsf.util.Zipper2

Deprecated.

    @Deprecated
    public class Zipper2

extends java.lang.Object

Created 21.08.2007

Since:
  3.1
Author:
  Nick Belaevski

Constructor Summary
`Zipper2(byte[] buffer)` Deprecated.
`Zipper2(byte[] buffer, int offest)` Deprecated.

Method Summary
`Zipper2` | `addByte(byte b)` Deprecated.
`Zipper2` | `addBytes(byte[] bs)` Deprecated.
`Zipper2` | `addColor(java.awt.Color color)` Deprecated.
`Zipper2` | `addColor(int i)` Deprecated.
`Zipper2` | `addInt(int i)` Deprecated.
`Zipper2` | `addShort(short s)` Deprecated.
`boolean` | `hasMore()` Deprecated.
`byte` | `nextByte()` Deprecated.
`byte[]` | `nextBytes()` Deprecated.
`java.awt.Color` | `nextColor()` Deprecated.
`int` | `nextInt()` Deprecated.
`int` | `nextIntColor()` Deprecated.
`short` | `nextShort()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Zipper2

    public Zipper2(byte[] buffer)

  Deprecated.

### Zipper2

    public Zipper2(byte[] buffer,
                   int offest)

  Deprecated.

Method Detail

### addByte

    public Zipper2 addByte(byte b)

  Deprecated.

### addShort

    public Zipper2 addShort(short s)

  Deprecated.

### addColor

    public Zipper2 addColor(java.awt.Color color)

  Deprecated.

### addColor

    public Zipper2 addColor(int i)

  Deprecated.

### addInt

    public Zipper2 addInt(int i)

  Deprecated.

### addBytes

    public Zipper2 addBytes(byte[] bs)

  Deprecated.

### nextByte

    public byte nextByte()

  Deprecated.

### nextShort

    public short nextShort()

  Deprecated.

### nextColor

    public java.awt.Color nextColor()

  Deprecated.

### nextIntColor

    public int nextIntColor()

  Deprecated.

### nextInt

    public int nextInt()

  Deprecated.

### nextBytes

    public byte[] nextBytes()

  Deprecated.

### hasMore

    public boolean hasMore()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.